Subject: Re: bug#27490: 24.5; Elisp manual explanation of `function-key-map' and its inheritors

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Jul 2019 19:31:45 +0200

Eli Zaretskii <[email-masked]> writes:

>> The only way to affect the behavior of keys within Emacs is through
>> @code{xmodmap} (outside Emacs) or @code{define-key} (inside Emacs).  The
>> @code{define-key} command should be used in conjunction with the
>> @code{function-key-map} map.  For instance,
>> 
>> @lisp
>> (define-key function-key-map [M-@key{TAB}] [?\M-\t])
>> @end lisp
>
> Where did you find this?  I must be blind, because I don't see this
> passage in the manual.

It's in the "X key translations for Emacs" node in misc/efaq.texi, which
I guess isn't part of the manual.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no